For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityAPI StatusAPI PricingSign Up
DocumentationAPI ReferencesCookbook
DocumentationAPI ReferencesCookbook
  • API Reference
    • Introduction
    • Authentication
    • Access to Beta APIs
    • Meta Prompt Guide
  • Endpoints
      • POSTREST
      • WSSWebSocket
      • POSTBatch - Initiate Job
      • POSTBatch - Upload Files
      • POSTBatch - Start Job
      • GETBatch - Get Status
      • POSTBatch - Download Results
LogoLogo
CommunityAPI StatusAPI PricingSign Up
EndpointsSpeech to Text Translate

Batch - Start Job

POST
https://api.sarvam.ai/speech-to-text-translate/job/v1/:job_id/start
POST
/speech-to-text-translate/job/v1/:job_id/start
$curl -X POST https://api.sarvam.ai/speech-to-text-translate/job/v1/job_id/start \
> -H "api-subscription-key: <apiSubscriptionKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "job_state": "Accepted",
3 "created_at": "2024-06-10T09:15:00Z",
4 "updated_at": "2024-06-10T09:15:00Z",
5 "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
6 "storage_container_type": "Azure",
7 "total_files": 12,
8 "successful_files_count": 0,
9 "failed_files_count": 0,
10 "error_message": "",
11 "job_details": [
12 {
13 "inputs": [
14 {
15 "file_name": "interview_recording_01.wav",
16 "file_id": "file-1234567890abcdef"
17 }
18 ],
19 "outputs": [
20 {
21 "file_name": "interview_recording_01_transcript.txt",
22 "file_id": "file-abcdef1234567890"
23 }
24 ],
25 "state": "Success",
26 "error_message": null,
27 "exception_name": null
28 }
29 ]
30}
Start processing a speech to text translate bulk job after all audio files have been uploaded
Was this page helpful?
Previous

Batch - Get Status

Next
Built with

Authentication

api-subscription-keystring
API Key authentication via header

Path parameters

job_idstringRequired
The unique identifier of the job

Headers

api-subscription-keystringOptionalDefaults to
Your unique subscription key for authenticating requests to the Sarvam AI Speech-to-Text API. [Here are the steps to get your api key](https://docs.sarvam.ai/api-reference-docs/authentication#obtaining-your-api-subscription-key)

Query parameters

ptu_idinteger or nullOptional

Response

Successful Response
job_stateenum
Job State
Allowed values:
created_atstring
Created At
updated_atstring
Updated At
job_idstring
Job Id
storage_container_typeenum
Storage Container Type
Allowed values:
total_filesintegerDefaults to 0
Total Files
successful_files_countintegerDefaults to 0
Success Count
failed_files_countintegerDefaults to 0
Failed Count
error_messagestringDefaults to
Error Message
job_detailslist of objects
Job details at file level.

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error

Your unique subscription key for authenticating requests to the Sarvam AI Speech-to-Text API. Here are the steps to get your api key